View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17532Bug reportsSurvey editingpublic2021-09-21 09:45
Reporterlswi Assigned Top_teichmann  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.x 
Summary17532: Panel Integration URL-Parameters not changable
DescriptionChanging the URL parameters in the panel integration menu is not persisted.
Steps To ReproduceI am using different panel providers to distribute my survey. I wanted to change the distribution and thus modify the URL parameters in the survey's panel integration menu.
I can change the parameter in the dialogue box (parameter name, associated question). It is then displayed in the overview correctly.
However, this change is not persistent. When I switch to another setting (e.g., resources) and switch back to the panel integration entry, the old setting is still there.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.1.3+210817
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmariadb, 471
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.29-1

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

p_teichmann

p_teichmann

2021-08-26 11:15

administrator   ~66150

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32604
c_schmitz

c_schmitz

2021-09-21 09:45

administrator   ~66563

New version released

Related Changesets

LimeSurvey: master 13bea129

2021-08-23 16:59:18

p_teichmann

Details Diff
Fixed issue 17532: Panel Integration URL-Parameters not changeable Affected Issues
17532
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - assets/scripts/admin/surveysettings.js Diff File

Issue History

Date Modified Username Field Change
2021-08-20 15:28 lswi New Issue
2021-08-20 16:31 ollehar Priority none => high
2021-08-20 16:31 ollehar Sync to Zoho Project => |Yes|
2021-08-23 07:28 galads Assigned To => galads
2021-08-23 07:28 galads Status new => confirmed
2021-08-26 11:15 p_teichmann Changeset attached => LimeSurvey master 13bea129
2021-08-26 11:15 p_teichmann Note Added: 66150
2021-08-26 11:15 p_teichmann Bug heat 0 => 2
2021-08-26 11:15 p_teichmann Assigned To galads => p_teichmann
2021-08-26 11:15 p_teichmann Resolution open => fixed
2021-09-10 09:54 galads Status confirmed => resolved
2021-09-21 09:45 c_schmitz Note Added: 66563
2021-09-21 09:45 c_schmitz Bug heat 2 => 4
2021-09-21 09:45 c_schmitz Status resolved => closed